lwIP 2.1.2 Lightweight IP stack

Macros
ICMP6
lwIP » Options (lwipopts.h) » IPv6

## Macros
#define | LWIP_ICMP6 LWIP_IPV6
#define | LWIP_ICMP6_DATASIZE 8
#define | LWIP_ICMP6_HL 255

## Detailed Description

## Macro Definition Documentation

## ◆ LWIP_ICMP6

#define LWIP_ICMP6 LWIP_IPV6

LWIP_ICMP6==1: Enable ICMPv6 (mandatory per RFC)

## ◆ LWIP_ICMP6_DATASIZE

#define LWIP_ICMP6_DATASIZE 8

LWIP_ICMP6_DATASIZE: bytes from original packet to send back in ICMPv6 error messages.

## ◆ LWIP_ICMP6_HL

#define LWIP_ICMP6_HL 255

LWIP_ICMP6_HL: default hop limit for ICMPv6 messages